Update DynamicProperties sections for an organization
curl --request PUT \
--url https://your-instance.example.com/api/organizations/sections/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sections": [
{
"name": "Personal Information",
"isHidden": false,
"properties": {
"firstName": {
"name": "First Name",
"dataType": "string",
"isHidden": false
},
"lastName": {
"name": "Last Name",
"dataType": "string",
"isHidden": false
}
}
}
],
"isForced": false
}
'import requests
url = "https://your-instance.example.com/api/organizations/sections/{id}"
payload = {
"sections": [
{
"name": "Personal Information",
"isHidden": False,
"properties": {
"firstName": {
"name": "First Name",
"dataType": "string",
"isHidden": False
},
"lastName": {
"name": "Last Name",
"dataType": "string",
"isHidden": False
}
}
}
],
"isForced": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sections: [
{
name: 'Personal Information',
isHidden: false,
properties: {
firstName: {name: 'First Name', dataType: 'string', isHidden: false},
lastName: {name: 'Last Name', dataType: 'string', isHidden: false}
}
}
],
isForced: false
})
};
fetch('https://your-instance.example.com/api/organizations/sections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Sections updated successfully",
"organization": {
"_id": "5f7b1c2e8a1d4e0012c3b500",
"organizationId": "5f7b1c2e8a1d4e0012c3b400",
"type": "Contact"
},
"renamedProperties": {
"firstname": "firstName"
}
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}Organizations
Update DynamicProperties sections for an organization
Replaces the sections layout for the given section type (defaults to “Contact”). Performs renames on existing owner documents, optionally unsets removed properties when isForced=true, validates regex patterns / link-target graphs, and rejects modifications to protected schema fields. Admin or SuperAdmin only.
PUT
/
api
/
organizations
/
sections
/
{id}
Update DynamicProperties sections for an organization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
⌘I